Description

History

#1 - 01/14/2014 04:49 PM - ben leinfelder
- Status changed from New to In Progress

- Assignee set to Lauren Walker

This is such a great feature to have! A few comments:

-1 think the look should be similar to the rest of the metadata detail sections instead of the heavy purple text and shaded background. Using the same
table classes with alternating shading would be good too - just so that it integrates better with the page.

-The section heading should just be "Package" with no number, then the hairline bordered well would hold the list of files and info for [each] package -
typically it will be just one.

-The package filename (.zip) should be a link and function just like the "download all" button.

-The citation font got oddly larger than it had been - probably fine to keep it about the same as other text on the page.

-Not sure where the publish button will be inserted, but | hope it will be in the citation section and not in the download area.

We might also consider the data file rows act like TOC entries that scroll the page to the correct section of the metadata that describes them. | like
how the data ids are links to download the data file directly, but | could also see them directing to an anchor on the metadata page to read more (see
the table of files here: http:/knb.ecoinformatics.org/knb/metacat/tao.1.1/knb)

#2 - 01/15/2014 01:52 PM - Lauren Walker

- Status changed from In Progress to Resolved

#3 - 01/16/2014 09:47 AM - Lauren Walker

-1 think the look should be similar to the rest of the metadata detail sections instead of the heavy purple text and shaded background. Using the same
table classes with alternating shading would be good too - just so that it integrates better with the page.

*I've given the table the same styling as the others in the metadata view. | originally had wanted to separate it visually from the rest of the page, but
now that | changed it, it does look nice *

-The section heading should just be "Package" with no number, then the hairline bordered well would hold the list of files and info for [each] package -
typically it will be just one.

® Number taken out *
-The package filename (.zip) should be a link and function just like the "download all" button.
¢ | was thinking this, too. Added*
-The citation font got oddly larger than it had been - probably fine to keep it about the same as other text on the page.
changed
-Not sure where the publish button will be inserted, but | hope it will be in the citation section and not in the download area.
Yes, it gets inserted inline with the citation
We might also consider the data file rows act like TOC entries that scroll the page to the correct section of the metadata that describes them. | like

how the data ids are links to download the data file directly, but | could also see them directing to an anchor on the metadata page to read more (see
the table of files here: http://knb.ecoinformatics.org/knb/metacat/tao.1.1/knb)

Yes | was thinking of adding this feature as well, with a "details" link. | created a ticket to add it
